Docs

Get a notification

Returns a notification using its ID.

GET /notifications/{notification_id}

Returns a notification using its ID.

Notifications older than 90 days aren't retained. If you try to get a notification that's no longer retained, Paddle returns an error.

Requires notification.read permission.

Path parameters

notification_idstringrequired
Paddle ID of the notification entity to work with.

Response (200)

dataobjectrequired
Represents a notification entity.
idstringrequired
Example: ntf_01ghbkd0frb9k95cnhwd1bxpvk
Unique Paddle ID for this notification, prefixed with ntf_.
Pattern: ^ntf_[a-z\d]{26}$
typestringrequired
Type of event sent by Paddle, in the format entity.event_type.
Values
+ Show all values
statusstringrequired
Status of this notification.
Values
  • not_attempted
    Paddle hasn't yet tried to deliver this notification.
  • needs_retry
    Paddle tried to deliver this notification, but it failed. It's scheduled to be retried.
  • delivered
    Paddle delivered this notification successfully.
  • failed
    Paddle tried to deliver this notification, but all attempts failed. It's not scheduled to be retried.
payloadobjectrequired
Notification payload. Includes the new or changed event.
event_idstringrequired
Example: evt_01gks14ge726w50ch2tmaw2a1x
Unique Paddle ID for this event, prefixed with evt_.
Pattern: ^evt_[a-z\d]{26}$
event_typestringrequired
Type of event sent by Paddle, in the format entity.event_type.
Values
+ Show all values
occurred_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this event occurred.
dataobjectrequired
New or changed entity.
notification_idstring
Example: ntf_01ghbkd0frb9k95cnhwd1bxpvk
Unique Paddle ID for this notification, prefixed with ntf_.
Pattern: ^ntf_[a-z\d]{26}$
occurred_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this notification occurred.
delivered_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
replayed_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
originstringrequired
Describes how this notification was created.
Values
  • event
    Notification created when a subscribed event occurred.
  • replay
    Notification created when a notification with the origin event was replayed.
last_attempt_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
retry_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
times_attemptedintegerrequired
How many times delivery of this notification has been attempted. Automatically incremented by Paddle after an attempt.
notification_setting_idstringrequired
Example: ntfset_01gt21c5pdx9q1e4mh1xrsjjn6
Unique Paddle ID for this notification setting, prefixed with ntfset_.
Pattern: ^ntfset_[a-z\d]{26}$
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
Response
{
"data": {
"id": "ntf_01hvg8ykjrcdr4jvv9rqcbkhfa",
"type": "address.created",
"status": "failed",
"payload": {
"data": {
"id": "add_01hvg8yk4s1aqa37kxspd51bwg",
"city": null,
"region": null,
"status": "active",
"created_at": "2024-04-15T07:01:11.449Z",
"first_line": null,
"updated_at": "2024-04-15T07:01:11.449Z",
"custom_data": null,
"customer_id": "ctm_01gzgmxdmgkgc7p94b5kgqq82p",
"description": null,
"import_meta": null,
"postal_code": "10021",
"second_line": null,
"country_code": "US"
},
"event_id": "evt_01hvg8ykgj5r02vvn44b8hdp8d",
"event_type": "address.created",
"occurred_at": "2024-04-15T07:01:11.826666Z",
"notification_id": "ntf_01hvg8ykjrcdr4jvv9rqcbkhfa"
},
"occurred_at": "2024-04-15T07:01:11.826666Z",
"delivered_at": null,
"replayed_at": null,
"origin": "event",
"last_attempt_at": "2024-04-15T07:19:56.553479Z",
"retry_at": null,
"times_attempted": 10,
"notification_setting_id": "ntfset_01hv6scjn6ex5bej5bdy4w9ax3"
},
"meta": {
"request_id": "50aa6efc-5c11-47f4-8a7a-d13d1ffd85f2"
}
}

Was this page helpful?